# QIRT API Reference

Welcome to the API reference documentation for the Quantum Information Research Toolkit (QIRT). This section provides detailed information about the classes, methods, and functions available in QIRT.

## Core Components

QIRT is built around two main components, both of which extend Qiskit's functionality:

1. **[QuantumState](quantum_state.md)**
    - An extended version of Qiskit's Statevector class. It provides additional methods for quantum state manipulations, basis conversions, and visualizations.

2. **[QuantumCircuit](quantum_circuit.md)**
    - An extended version of Qiskit's QuantumCircuit class. It adds methods for basis conversion and visualization in matrix form.

## Getting Started

If you're new to QIRT, we recommend starting with our [Tutorials](../tutorials/index.md) to get a hands-on introduction to the toolkit. For more specific use cases and advanced techniques, check out our [How-to Guides](../how_to_guides/index.md).

## Support

If you encounter any issues or have questions about using QIRT, please file an issue on our [GitHub repository](https://github.com/Slope86/QIRT/issues) or reach out to our community support channels.
